Subject: Re: [Cfrg] RG Last Call on draft-irtf-cfrg-argon2-03

From: "Blocki, Jeremiah M" <[email-masked]>
Date: Tue, 17 Jul 2018 17:47:46 +0000

I believe there is a minor typo at the bottom of page 4 (https://www.ietf.org/archive/id/draft-irtf-cfrg-argon2-03.txt) which states

“The Argon2 operation is as follows.

1.    Establish H_0 as the 64-bit value as shown below.”

My understanding from looking over the source code is that H_0 is actually a 64-byte value (a 64bit value would likely introduce vulnerabilities to brute force precomputation attacks). Assuming that this is indeed a typo it is a minor nitpick, and I have no objections to publishing.

Best Regards,

Jeremiah

From: Cfrg [mailto:[email-masked]] On Behalf Of Stanislav V. Smyshlyaev
Sent: Wednesday, January 17, 2018 1:23 AM
To: Alexey Melnikov <[email-masked]>
Cc: [email-masked]
Subject: Re: [Cfrg] RG Last Call on draft-irtf-cfrg-argon2-03

Dear Alexey and CFRG participants,

I did a review of this document (of -02 version) in June; I had a number of minor concerns then. Those concerns have been addressed in -03 draft, I don't see any reasons to object this I-D being published as an RFC.
So I support publishing draft-irtf-cfrg-argon2-03 as an RFC.

Best regards,
Stanislav

2018-01-16 17:31 GMT+03:00 Alexey Melnikov <[email-masked]<mailto:[email-masked]>>:

On 29/10/2017 14:28, Alexey Melnikov wrote:
Dear CFRG participants,

This message starts 2 week RGLC on "The memory-hard Argon2 password hash and proof-of-work function " (draft-irtf-cfrg-argon2-03, <https://datatracker.ietf.org/doc/draft-irtf-cfrg-argon2/><https://datatracker.ietf.org/doc/draft-irtf-cfrg-argon2/>), that will end on November 12th. Please send you comments, as well as expression of support to publish as an RFC (or possible reasons for not doing so) in reply to this message or directly to CFRG chairs. Your feedback will help chairs to decide whether the document is ready for review by IRSG and subsequent publication as an RFC.
I only saw one private response with some questions (I will followup on it separately). Any objections to getting this published as an RFC?

Thank you,
Alexey

_______________________________________________
Cfrg mailing list
[email-masked]<mailto:[email-masked]>
https://www.irtf.org/mailman/listinfo/cfrg